Bug 1313932 - coccinelle: Provide a Python 3 subpackage
coccinelle: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coccinelle (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Orsava
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2016-03-02 11:04 EST by Tomas Orsava
Modified: 2016-05-11 05:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: coccinelle-1.0.4-6.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-11 05:59:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python 3 patch for specfile (2.11 KB, patch)
2016-04-20 04:30 EDT, Dominika Krejčí
no flags Details | Diff
Patch to port the specfile to Python 3 (2.40 KB, patch)
2016-04-26 09:42 EDT, Tomas Orsava
no flags Details | Diff
Patch to change shebang to Python 3 (1.19 KB, patch)
2016-05-02 09:44 EDT, Tomas Orsava
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-03-02 11:04:53 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Richard W.M. Jones 2016-03-03 07:38:49 EST
I think it'd be better for everyone if the Python team just went
in and made the changes.  Apparently building twice and setting
PYTHON=/usr/bin/python3 the second time should be sufficient.
Comment 3 Tomas Orsava 2016-04-26 09:42 EDT
Created attachment 1150970 [details]
Patch to port the specfile to Python 3

I polished Dominika's patch a bit. Specifically I've done away with the removal of the devel-file as we aren't sure at this point if it is needed or not. Better to live with an RPMlint warning.
Comment 4 Tomas Orsava 2016-04-26 09:43:33 EDT
Here's a Koji scratch build of the resulting SRPM: http://koji.fedoraproject.org/koji/taskinfo?taskID=13810091
Comment 5 Miro Hrončok 2016-04-28 07:42:04 EDT
Let's roll.
Comment 7 Miro Hrončok 2016-04-28 08:01:14 EDT
Waiting only on ARM build.

Tomáš, Dominika, please check if everything works as expected
Comment 8 Miro Hrončok 2016-04-28 08:08:18 EDT
ARM build finished.
Comment 9 Tomas Orsava 2016-05-02 09:44 EDT
Created attachment 1152968 [details]
Patch to change shebang to Python 3

I checked it in mock and found out I forgot one shebang still pointing to Python 2. I attached a patch (against the current contents of the dist-git) that fixes the issue.

I apologize for the omission.
Comment 10 Tomas Orsava 2016-05-05 05:58:46 EDT
Here's a link to a Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13930548
Comment 12 Richard W.M. Jones 2016-05-05 09:02:49 EDT
Thanks for fixing/implementing this.
Comment 13 Tomas Orsava 2016-05-06 08:17:51 EDT
We're glad to have helped, Richard!

Do you think you could test the package if it's working as expected?
Comment 14 Tomas Orsava 2016-05-11 05:59:45 EDT
I'm not as familiar with the package, but after some testing inside mock, everything looks good! Thanks everyone!

Note You need to log in before you can comment on or make changes to this bug.